Index: /branches/dev_005_AWL/AGRIF/AA_make
===================================================================
--- /branches/dev_005_AWL/AGRIF/AA_make	(revision 1803)
+++ /branches/dev_005_AWL/AGRIF/AA_make	(revision 1804)
@@ -13,11 +13,11 @@
 #-Q- sxdkrz C_L	= $(FC_L) 
 #-Q- sxdkrz C_O	= $(FC_O) 
-#-Q- eshpux C_L	= $(FC_L) 
-#-Q- eshpux C_O	= $(FC_O) 
+#-Q- es2 C_L	= $(FC_L) 
+#-Q- es2 C_O	= $(FC_O) 
 #-Q- sx8mercure F_O +=  -Wf"-init heap=zero"
 #-Q- sx9mercure F_O +=  -Wf"-init heap=zero" 
 #-Q- sx8brodie F_O +=   -Wf"-init heap=zero" 
 #-Q- sxdkrz F_O +=  -Wf"-init heap=zero" 
-#-Q- eshpux F_O +=  -Wf"-init heap=zero" 
+#-Q- es2 F_O +=  -Wf"-init heap=zero" 
 #-Q- aix F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR) -qextname
 #-Q- aix6 F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR) -qextname
@@ -56,5 +56,5 @@
 $(SXMODEL_LIB) : $(OBJS)
 #-Q- sxdkrz     @$(A_X) $@ $(OBJS)
-#-Q- eshpux     @$(A_X) $@ $(OBJS)
+#-Q- es2     @$(A_X) $@ $(OBJS)
 
 $(AGRIFOBJS)/%.o : $(AGRIFFILES)/%.F KEY_CPP
@@ -70,5 +70,5 @@
 #-Q- sx8brodie	mv *.mod $(MODDIR)
 #-Q- sxdkrz	mv *.mod $(MODDIR)
-#-Q- eshpux	mv *.mod $(MODDIR)
+#-Q- es2	mv *.mod $(MODDIR)
 #-Q- solaris	mv *.mod $(MODDIR)
 
Index: /branches/dev_005_AWL/AGRIF/AA_make.ldef
===================================================================
--- /branches/dev_005_AWL/AGRIF/AA_make.ldef	(revision 1803)
+++ /branches/dev_005_AWL/AGRIF/AA_make.ldef	(revision 1804)
@@ -25,5 +25,5 @@
 SXMODEL_LIB = $(MODEL_LIB)
 #-Q- sxdkrz SXMODEL_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- eshpux SXMODEL_LIB = $(LIBDIR)/libsxagrif.a
+#-Q- es2 SXMODEL_LIB = $(LIBDIR)/libsxagrif.a
 #-
 P_P=$(AGRIF_MPI)
Index: /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modbc.F
===================================================================
--- /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modbc.F	(revision 1803)
+++ /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modbc.F	(revision 1804)
@@ -814,5 +814,5 @@
       
       CALL MPI_ALLREDUCE(iminmaxg,lubglob,2*nbdim,MPI_INTEGER,MPI_MIN,
-     &                     MPI_COMM_WORLD,code)  
+     &                     MPI_COMM_AGRIF,code)  
      
       lubglob(1:nbdim,2) = - lubglob(1:nbdim,2)      
Index: /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modinterp.F
===================================================================
--- /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modinterp.F	(revision 1803)
+++ /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modinterp.F	(revision 1804)
@@ -894,5 +894,5 @@
 C
       Call MPI_ALLGATHER(tab3,4*nbdim,MPI_INTEGER,tab4,4*nbdim,
-     &                   MPI_INTEGER,MPI_COMM_WORLD,code)
+     &                   MPI_INTEGER,MPI_COMM_AGRIF,code)
 
       IF (.not.associated(tempPextend%var)) Allocate(tempPextend%var)
@@ -908,5 +908,5 @@
       memberin1(1) = memberin
       CALL MPI_ALLGATHER(memberin1,1,MPI_LOGICAL,memberinall,
-     &                  1,MPI_LOGICAL,MPI_COMM_WORLD,code)
+     &                  1,MPI_LOGICAL,MPI_COMM_AGRIF,code)
 
        Call Get_External_Data_first(tab4t(:,:,1),
Index: /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modlinktomodel.F
===================================================================
--- /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modlinktomodel.F	(revision 1803)
+++ /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modlinktomodel.F	(revision 1804)
@@ -32,4 +32,5 @@
         external Agrif_probdim_modtype_def
         external Agrif_clustering_def
+        external Agrif_comm_def
 C     Interface                       
       Interface
Index: /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modmpp.F
===================================================================
--- /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modmpp.F	(revision 1803)
+++ /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modmpp.F	(revision 1804)
@@ -67,5 +67,5 @@
 
          CALL MPI_ALLGATHER(memberout1,1,MPI_LOGICAL,memberoutall,
-     &                  1,MPI_LOGICAL,MPI_COMM_WORLD,code)
+     &                  1,MPI_LOGICAL,MPI_COMM_AGRIF,code)
         ENDIF
          pttruetab2(:,Agrif_Procrank) = pttruetab(:,Agrif_Procrank)
@@ -207,5 +207,5 @@
 
          CALL MPI_ALLGATHER(memberout1,1,MPI_LOGICAL,memberoutall,
-     &                  1,MPI_LOGICAL,MPI_COMM_WORLD,code)
+     &                  1,MPI_LOGICAL,MPI_COMM_AGRIF,code)
         ENDIF
          pttruetab2(:,Agrif_Procrank) = pttruetab(:,Agrif_Procrank)
@@ -356,5 +356,5 @@
 C
             Call MPI_SEND(sendtoproc(k),1,MPI_LOGICAL,k,etiquette,
-     &                    MPI_COMM_WORLD,code)
+     &                    MPI_COMM_AGRIF,code)
 C
             if (sendtoproc(k)) then
@@ -365,5 +365,5 @@
                 Call MPI_SEND(iminmax_temp(:,:,k),
      &                        2*nbdim,MPI_INTEGER,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
 C
                 datasize = 1
@@ -381,5 +381,5 @@
      &                        imin(1,k):imax(1,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(2)
                    Call MPI_SEND(tempC%var%array2(
@@ -387,5 +387,5 @@
      &                        imin(2,k):imax(2,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(3)
                 
@@ -399,5 +399,5 @@
      &                        imin(4,k):imax(4,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(5)
                    Call MPI_SEND(tempC%var%array5(
@@ -408,5 +408,5 @@
      &                        imin(5,k):imax(5,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(6)
                    Call MPI_SEND(tempC%var%array6(
@@ -418,5 +418,5 @@
      &                        imin(6,k):imax(6,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 END SELECT
 C
@@ -432,5 +432,5 @@
 C
             Call MPI_RECV(res,1,MPI_LOGICAL,k,etiquette,
-     &                    MPI_COMM_WORLD,statut,code)
+     &                    MPI_COMM_AGRIF,statut,code)
 C
             recvfromproc(k) = res
@@ -441,5 +441,5 @@
                 Call MPI_RECV(iminmax_temp(:,:,k),
      &                        2*nbdim,MPI_INTEGER,k,etiquette,
-     &                        MPI_COMM_WORLD,statut,code)
+     &                        MPI_COMM_AGRIF,statut,code)
 
                 imin_recv(:,k) = iminmax_temp(:,1,k)
@@ -462,26 +462,26 @@
               Call MPI_RECV(temprecv%var%array1,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(2)
               Call MPI_RECV(temprecv%var%array2,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(3)
               Call MPI_RECV(temprecv%var%array3,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
 
             CASE(4)
               Call MPI_RECV(temprecv%var%array4,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(5)
               Call MPI_RECV(temprecv%var%array5,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(6)
               Call MPI_RECV(temprecv%var%array6,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
        END SELECT
                         
@@ -503,5 +503,5 @@
             
             Call MPI_SEND(sendtoproc(k),1,MPI_LOGICAL,k,etiquette,
-     &                    MPI_COMM_WORLD,code)
+     &                    MPI_COMM_AGRIF,code)
 C
             if (sendtoproc(k)) then
@@ -512,5 +512,5 @@
                 Call MPI_SEND(iminmax_temp(:,:,k),
      &                        2*nbdim,MPI_INTEGER,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
 C
                 SELECT CASE(nbdim)
@@ -521,5 +521,5 @@
      &                        imin(1,k):imax(1,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(2)
                 datasize=SIZE(tempC%var%array2(
@@ -530,5 +530,5 @@
      &                        imin(2,k):imax(2,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(3)
                 datasize=SIZE(tempC%var%array3(
@@ -541,5 +541,5 @@
      &                        imin(3,k):imax(3,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(4)
                 datasize=SIZE(tempC%var%array4(
@@ -554,5 +554,5 @@
      &                        imin(4,k):imax(4,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(5)
                 datasize=SIZE(tempC%var%array5(
@@ -569,5 +569,5 @@
      &                        imin(5,k):imax(5,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(6)
                 datasize=SIZE(tempC%var%array6(
@@ -586,5 +586,5 @@
      &                        imin(6,k):imax(6,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 END SELECT
 C
@@ -600,5 +600,5 @@
 C
             Call MPI_RECV(res,1,MPI_LOGICAL,k,etiquette,
-     &                    MPI_COMM_WORLD,statut,code)
+     &                    MPI_COMM_AGRIF,statut,code)
 C
             recvfromproc(k) = res
@@ -609,5 +609,5 @@
                 Call MPI_RECV(iminmax_temp(:,:,k),
      &                        2*nbdim,MPI_INTEGER,k,etiquette,
-     &                        MPI_COMM_WORLD,statut,code)
+     &                        MPI_COMM_AGRIF,statut,code)
 
 C                imin_recv(:,k) = iminmax_temp(:,1,k)
@@ -629,15 +629,15 @@
               Call MPI_RECV(temprecv%var%array1,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(2)
               datasize=SIZE(temprecv%var%array2)
               Call MPI_RECV(temprecv%var%array2,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(3)
               datasize=SIZE(temprecv%var%array3)
               Call MPI_RECV(temprecv%var%array3,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
 
             CASE(4)
@@ -645,15 +645,15 @@
               Call MPI_RECV(temprecv%var%array4,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(5)
               datasize=SIZE(temprecv%var%array5)
               Call MPI_RECV(temprecv%var%array5,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(6)
               datasize=SIZE(temprecv%var%array6)
               Call MPI_RECV(temprecv%var%array6,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
           END SELECT
             
@@ -693,5 +693,5 @@
 C
             Call MPI_SEND(sendtoproc(k),1,MPI_LOGICAL,k,etiquette,
-     &                    MPI_COMM_WORLD,code)
+     &                    MPI_COMM_AGRIF,code)
 C
             if (sendtoproc(k)) then
@@ -702,5 +702,5 @@
                 Call MPI_SEND(iminmax_temp(:,:,k),
      &                        2*nbdim,MPI_INTEGER,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
 C
             endif
@@ -715,5 +715,5 @@
 C
             Call MPI_RECV(res,1,MPI_LOGICAL,k,etiquette,
-     &                    MPI_COMM_WORLD,statut,code)
+     &                    MPI_COMM_AGRIF,statut,code)
 C
             recvfromproc(k) = res
@@ -724,5 +724,5 @@
                 Call MPI_RECV(iminmax_temp(:,:,k),
      &                        2*nbdim,MPI_INTEGER,k,etiquette,
-     &                        MPI_COMM_WORLD,statut,code)
+     &                        MPI_COMM_AGRIF,statut,code)
 
                 imin_recv(:,k) = iminmax_temp(:,1,k)
@@ -739,5 +739,5 @@
             
             Call MPI_SEND(sendtoproc(k),1,MPI_LOGICAL,k,etiquette,
-     &                    MPI_COMM_WORLD,code)
+     &                    MPI_COMM_AGRIF,code)
 C
             if (sendtoproc(k)) then
@@ -748,5 +748,5 @@
                 Call MPI_SEND(iminmax_temp(:,:,k),
      &                        2*nbdim,MPI_INTEGER,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
 C
             endif
@@ -761,5 +761,5 @@
 C
             Call MPI_RECV(res,1,MPI_LOGICAL,k,etiquette,
-     &                    MPI_COMM_WORLD,statut,code)
+     &                    MPI_COMM_AGRIF,statut,code)
 C
             recvfromproc(k) = res
@@ -770,5 +770,5 @@
                 Call MPI_RECV(iminmax_temp(:,:,k),
      &                        2*nbdim,MPI_INTEGER,k,etiquette,
-     &                        MPI_COMM_WORLD,statut,code)
+     &                        MPI_COMM_AGRIF,statut,code)
 
                 imin_recv(:,k) = iminmax_temp(:,1,k)
@@ -842,5 +842,5 @@
      &                        imin(1,k):imax(1,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(2)               
                    Call MPI_SEND(tempC%var%array2(
@@ -848,5 +848,5 @@
      &                        imin(2,k):imax(2,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(3)
      
@@ -860,5 +860,5 @@
      &                        imin(4,k):imax(4,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(5)
                    Call MPI_SEND(tempC%var%array5(
@@ -869,5 +869,5 @@
      &                        imin(5,k):imax(5,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(6)
                    Call MPI_SEND(tempC%var%array6(
@@ -879,5 +879,5 @@
      &                        imin(6,k):imax(6,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 END SELECT
 C
@@ -910,26 +910,26 @@
               Call MPI_RECV(temprecv%var%array1,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(2)           
               Call MPI_RECV(temprecv%var%array2,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(3)       
               Call MPI_RECV(temprecv%var%array3,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
 
             CASE(4)
               Call MPI_RECV(temprecv%var%array4,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(5)
               Call MPI_RECV(temprecv%var%array5,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(6)
               Call MPI_RECV(temprecv%var%array6,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
        END SELECT
                         
@@ -958,5 +958,5 @@
      &                        imin(1,k):imax(1,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(2)                
                 datasize=SIZE(tempC%var%array2(
@@ -967,5 +967,5 @@
      &                        imin(2,k):imax(2,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(3)
                 datasize=SIZE(tempC%var%array3(
@@ -978,5 +978,5 @@
      &                        imin(3,k):imax(3,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(4)
                 datasize=SIZE(tempC%var%array4(
@@ -991,5 +991,5 @@
      &                        imin(4,k):imax(4,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(5)
                 datasize=SIZE(tempC%var%array5(
@@ -1006,5 +1006,5 @@
      &                        imin(5,k):imax(5,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 CASE(6)
                 datasize=SIZE(tempC%var%array6(
@@ -1023,5 +1023,5 @@
      &                        imin(6,k):imax(6,k)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
                 END SELECT
 C
@@ -1047,15 +1047,15 @@
               Call MPI_RECV(temprecv%var%array1,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(2)           
               datasize=SIZE(temprecv%var%array2)
               Call MPI_RECV(temprecv%var%array2,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(3)           
               datasize=SIZE(temprecv%var%array3)
               Call MPI_RECV(temprecv%var%array3,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
 
             CASE(4)
@@ -1063,15 +1063,15 @@
               Call MPI_RECV(temprecv%var%array4,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(5)
               datasize=SIZE(temprecv%var%array5)
               Call MPI_RECV(temprecv%var%array5,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
             CASE(6)
               datasize=SIZE(temprecv%var%array6)
               Call MPI_RECV(temprecv%var%array6,
      &               datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &               MPI_COMM_WORLD,statut,code)
+     &               MPI_COMM_AGRIF,statut,code)
           END SELECT
             
@@ -1108,5 +1108,5 @@
      &                        imin(3):imax(3)),
      &                        datasize,MPI_DOUBLE_PRECISION,k,etiquette,
-     &                        MPI_COMM_WORLD,code)
+     &                        MPI_COMM_AGRIF,code)
      
          End Subroutine Agrif_Send_3Darray
Index: /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modtypes.F
===================================================================
--- /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modtypes.F	(revision 1803)
+++ /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modtypes.F	(revision 1804)
@@ -37,4 +37,6 @@
       INTEGER, PARAMETER :: Agrif_NbMaxGrids = 10
                   
+C     MPI Communicator
+      INTEGER :: mpi_comm_agrif
 C
 C     **************************************************************************
@@ -409,5 +411,5 @@
       INTEGER :: Agrif_Nbprocs  ! Number of processors
       INTEGER :: Agrif_ProcRank ! Rank of the current processor 
-      INTEGER :: Agrif_Group    ! Group associated to MPI_COMM_WORLD
+      INTEGER :: Agrif_Group    ! Group associated to MPI_COMM_AGRIF
       INTEGER :: Agrif_MPIPREC
 #endif
Index: /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modupdate.F
===================================================================
--- /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modupdate.F	(revision 1803)
+++ /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modupdate.F	(revision 1804)
@@ -757,5 +757,5 @@
       
       CALL MPI_ALLREDUCE(iminmaxg,lubglob,2*nbdim,MPI_INTEGER,MPI_MIN,
-     &                     MPI_COMM_WORLD,code)
+     &                     MPI_COMM_AGRIF,code)
 
       lubglob(1:nbdim,2) = - lubglob(1:nbdim,2)      
@@ -925,5 +925,5 @@
       
       CALL MPI_ALLREDUCE(iminmaxg,lubglob,2*nbdim,MPI_INTEGER,MPI_MIN,
-     &                     MPI_COMM_WORLD,code)  
+     &                     MPI_COMM_AGRIF,code)  
      
       lubglob(1:nbdim,2) = - lubglob(1:nbdim,2)      
@@ -1287,5 +1287,5 @@
 C
       Call MPI_ALLGATHER(tab3,4*nbdim,MPI_INTEGER,tab4,4*nbdim,
-     &                   MPI_INTEGER,MPI_COMM_WORLD,code)
+     &                   MPI_INTEGER,MPI_COMM_AGRIF,code)
 
       IF (.not.associated(tempCextend%var)) Allocate(tempCextend%var)
@@ -1300,5 +1300,5 @@
       memberin1(1) = memberin
       CALL MPI_ALLGATHER(memberin1,1,MPI_LOGICAL,memberinall,
-     &                  1,MPI_LOGICAL,MPI_COMM_WORLD,code)
+     &                  1,MPI_LOGICAL,MPI_COMM_AGRIF,code)
  
        Call Get_External_Data_first(tab4t(:,:,1),
@@ -1419,5 +1419,5 @@
 C
       Call MPI_ALLGATHER(tab3,4*nbdim,MPI_INTEGER,tab4,4*nbdim,
-     &                   MPI_INTEGER,MPI_COMM_WORLD,code)
+     &                   MPI_INTEGER,MPI_COMM_AGRIF,code)
 
       IF (.not.associated(tempPextend%var)) Allocate(tempPextend%var)
@@ -1432,5 +1432,5 @@
       memberin1(1) = member
       CALL MPI_ALLGATHER(memberin1,1,MPI_LOGICAL,memberinall2,
-     &                  1,MPI_LOGICAL,MPI_COMM_WORLD,code)
+     &                  1,MPI_LOGICAL,MPI_COMM_AGRIF,code)
  
       Call Get_External_Data_first(tab5t(:,:,1),
Index: /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modutil.F
===================================================================
--- /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modutil.F	(revision 1803)
+++ /branches/dev_005_AWL/AGRIF/AGRIF_FILES/modutil.F	(revision 1804)
@@ -63,12 +63,29 @@
 C
 #ifdef AGRIF_MPI
-      Integer      :: code
+      Logical      :: mpi_was_called
+      Integer      :: code, ierr
 #include "mpif.h"
 C
 C
+      Call Agrif_comm_def(mpi_comm_agrif)
+
+      CALL mpi_initialized ( mpi_was_called, code )
+      IF( code /= MPI_SUCCESS ) THEN
+         WRITE(*, *) ': Error in routine mpi_initialized'
+         CALL mpi_abort( mpi_comm_world, code, ierr )
+      ENDIF
+
+      IF( .NOT. mpi_was_called ) THEN 
+         CALL mpi_comm_dup( mpi_comm_world, mpi_comm_agrif, code)
+         IF( code /= MPI_SUCCESS ) THEN
+            WRITE(*, *) ' Agrif_Step: Error in routine mpi_comm_dup'
+            CALL mpi_abort( mpi_comm_world, code, ierr )
+         ENDIF
+      ENDIF
+
       If (Agrif_Mygrid % ngridstep == 0) Then
-          Call MPI_COMM_SIZE(MPI_COMM_WORLD,Agrif_Nbprocs,code)
-          Call MPI_COMM_RANK(MPI_COMM_WORLD,Agrif_ProcRank,code)
-          Call MPI_COMM_GROUP(MPI_COMM_WORLD,Agrif_Group,code)
+          Call MPI_COMM_SIZE(MPI_COMM_AGRIF,Agrif_Nbprocs,code)
+          Call MPI_COMM_RANK(MPI_COMM_AGRIF,Agrif_ProcRank,code)
+          Call MPI_COMM_GROUP(MPI_COMM_AGRIF,Agrif_Group,code)
       endif
 #endif
Index: /branches/dev_005_AWL/CONFIG/GYRE/scripts/BB_make
===================================================================
--- /branches/dev_005_AWL/CONFIG/GYRE/scripts/BB_make	(revision 1803)
+++ /branches/dev_005_AWL/CONFIG/GYRE/scripts/BB_make	(revision 1804)
@@ -22,10 +22,10 @@
 #-Q- sxdkrz  F_O =  -f2003 nocbind -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- sxdkrz  L_X = $(L_O) -ftrace
-#-Q- eshpux  # Compiler options for NEMO (Earth Simulator)
-#-Q- eshpux  # for super perfs!
-#-Q- eshpux  # F_O = -f2003 nocbind $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
-#-Q- eshpux  # regular options!
-#-Q- eshpux  F_O = -f2003 nocbind $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
-#-Q- eshpux  L_X = $(L_O)
+#-Q- es2  # Compiler options for NEMO (Earth Simulator)
+#-Q- es2  # for super perfs!
+#-Q- es2  # F_O = -f2003 nocbind $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- es2  # regular options!
+#-Q- es2  F_O = -f2003 nocbind $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- es2  L_X = $(L_O)
 #-Q- linux  # Compiler options for NEMO (pgf version)
 #-Q- linux  F_O = -Mlist -O3 -byteswapio -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
@@ -62,5 +62,5 @@
 #-Q- sx8brodie	PREF=i.
 #-Q- sxdkrz	PREF=i.
-#-Q- eshpux	PREF=i.
+#-Q- es2	PREF=i.
 
 # add suffix to P_P
@@ -456,5 +456,5 @@
 #-Q- sx8brodie		-R2 \
 #-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
+#-Q- es2		-R2 \
 #-Q- aix6		-qsource \
 #-Q- aix		-qsource \
@@ -462,5 +462,5 @@
 	   OPAFILES/$*.F90 || { mv $(PREF).L $(TMP) ; false ; exit ; }
 #-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux			@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- es2			@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 endif
 
@@ -476,5 +476,5 @@
 .PRECIOUS : $(MODEL_LIB)
 #-Q- sxdkrz .PRECIOUS : $(SXMODEL_LIB)
-#-Q- eshpux .PRECIOUS : $(SXMODEL_LIB)
+#-Q- es2 .PRECIOUS : $(SXMODEL_LIB)
 
 # library dependancies
@@ -495,5 +495,5 @@
 #-Q- sx8brodie		-R2 \
 #-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
+#-Q- es2		-R2 \
 #-Q- aix		-qsource \
 #-Q- aix6		-qsource \
@@ -501,5 +501,5 @@
 		$*.f90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- es2		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
@@ -531,5 +531,5 @@
 #-Q- sx8brodie		-R2 \
 #-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
+#-Q- es2		-R2 \
 #-Q- aix		-qsource \
 #-Q- aix6		-qsource \
@@ -543,5 +543,5 @@
 #-Q- sx8brodie		-R2 \
 #-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
+#-Q- es2		-R2 \
 #-Q- aix		-qsource \
 #-Q- aix6		-qsource \
@@ -550,5 +550,5 @@
 endif
 #-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- es2		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
Index: /branches/dev_005_AWL/CONFIG/GYRE/scripts/BB_make.ldef
===================================================================
--- /branches/dev_005_AWL/CONFIG/GYRE/scripts/BB_make.ldef	(revision 1803)
+++ /branches/dev_005_AWL/CONFIG/GYRE/scripts/BB_make.ldef	(revision 1804)
@@ -14,11 +14,11 @@
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
 #-Q- sxdkrz  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
-#-Q- eshpux  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+#-Q- es2  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 AGRIF_LIB = $(LIBDIR)/libagrif.a
 #-Q- sxdkrc AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- eshpux  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+#-Q- es2  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 SXMODEL_LIB = $(MODEL_LIB)
 #-Q- sxdkrz  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
-#-Q- eshpux  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+#-Q- es2  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 OASISMPI2_LIB = 
 LIBMPI  =
@@ -37,5 +37,5 @@
 #-Q- sx9mercure prefix = -D
 #-Q- sx8brodie prefix = -D
-#-Q- eshpux prefix = -D
+#-Q- es2 prefix = -D
 #-Q- sxdkrz prefix = -D
 #-Q- linux  prefix = -D
